View Issue Details

IDProjectCategoryView StatusLast Update
0000838Far Manager 1.7xMacropublic2009-04-30 14:37
ReporterJohnDoeAssigned Tovskirdin 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.75 
Target VersionFixed in Version1.75 
Summary0000838: Ошибка при выделении блока (Editor.Sel)
DescriptionВыделение блока не происходит если при обоих вызовах Editor.Sel позиция в строке одинаковая (а сами строки могут быть и разными)

Например
Editor.Sel(2,0) Down Editor.Sel(2,1)
Additional InformationСейчас Editor.Sel работает независимо от наличия или отсутствия в редакторе уже выделенного блока.
Может несколько поменять логику выделения - чтобы Editor.Sel изменяла уже имеющеся выделение?

TagsNo tags attached.
Build2566

Activities

vskirdin

2009-04-23 19:58

administrator   bugnote:0003016

1.75 = build 2565
2.00 = build 880

JohnDoe

2009-04-24 13:02

updater   bugnote:0003017

Сказано: "Если позиция начала и конца блока совпадают, то эта операция равносильна снятию пометки блока"

На самом деле: пометка не снимается

vskirdin

2009-04-24 14:18

administrator   bugnote:0003018

1.75 = build 2566
2.00 = build 881

Issue History

Date Modified Username Field Change
2009-04-23 17:40 JohnDoe New Issue
2009-04-23 17:55 vskirdin Status new => assigned
2009-04-23 17:55 vskirdin Assigned To => vskirdin
2009-04-23 19:58 vskirdin Note Added: 0003016
2009-04-23 19:58 vskirdin Status assigned => feedback
2009-04-24 13:02 JohnDoe Note Added: 0003017
2009-04-24 14:18 vskirdin Note Added: 0003018
2009-04-30 11:37 JohnDoe Status feedback => resolved
2009-04-30 11:37 JohnDoe Resolution open => fixed
2009-04-30 14:37 vskirdin Build => 2566
2009-04-30 14:37 vskirdin Status resolved => closed
2009-04-30 14:37 vskirdin Fixed in Version => 1.75